Skip to content
Start here

Read submitted URLs by ID

client.brandProtection.urlInfo(BrandProtectionURLInfoParams { account_id } params, RequestOptionsoptions?): SinglePage<BrandProtectionURLInfoResponse>
GET/accounts/{account_id}/brand-protection/url-info

Return submitted URLs based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params: BrandProtectionURLInfoParams { account_id }
account_id: string
minLength1
ReturnsExpand Collapse
BrandProtectionURLInfoResponse = Record<string, unknown>

Read submitted URLs by ID

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const brandProtectionURLInfoResponse of client.brandProtection.urlInfo({
  account_id: 'x',
})) {
  console.log(brandProtectionURLInfoResponse);
}
{
  "result": [
    {
      "foo": "bar"
    }
  ]
}
Returns Examples
{
  "result": [
    {
      "foo": "bar"
    }
  ]
}